package.path=package.path..";C:\\Users\\micro\\AppData\\Roaming\\com.nesbox.tic\\TIC-80\\rift\\?.lua"	-- jtruk
package.path=package.path..";C:\\Users\\Ronan\\AppData\\Roaming\\com.nesbox.tic\\TIC-80\\rift\\?.lua"	-- Mantratronic

local R={}
require("./sys/sys")(R)
require("./sys/math")(R)

function TIC()
	R.tryBreak()
    cls()
	
    print("linear",0,0,4)
    print("smoothStep",0,8,10)
    print("smootherStep",0,16,12)

    for i=0,100 do
        pix(i,30+i,4)

        local x1=R.smoothStep(i,0,100)
        pix(x1+30,30+i,10)

        local x2=R.smootherStep(i,0,100)
        pix(x2+60,30+i,12)
    end
end

-- <PALETTE>
-- 000:1a1c2c5d275db13e53ef7d57ffcd75a7f07038b76425717929366f3b5dc941a6f673eff7f4f4f494b0c2566c86333c57
-- </PALETTE>
